using System;
using System.Reflection.Emit;

internal sealed class Delegate861 : MulticastDelegate
{
	public extern LocalBuilder Invoke(object object_0, Type type_0);

	public static LocalBuilder smethod_0(object object_0, Type type_0, Delegate861 delegate861_1)
	{
		return delegate861_1(object_0, type_0);
	}

	public extern Delegate861(object object_0, IntPtr intptr_0);

	static Delegate861()
	{
		Class10.smethod_13(typeof(Delegate861).TypeHandle);
	}

	internal static Delegate861 delegate861_0;
}
